io.swagger.client.api

## Class ConnectionsApi

- java.lang.Object
- - io.swagger.client.api.ConnectionsApi

-     public class ConnectionsApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionsApi()`
    `ConnectionsApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Block` | `blockGet(Integer connectionId, Integer blockId)` Gets the block matching a specific block ID.
    `com.squareup.okhttp.Call` | `blockGetAsync(Integer connectionId, Integer blockId, ApiCallback<Block> callback)` (asynchronously) Gets the block matching a specific block ID.
    `com.squareup.okhttp.Call` | `blockGetCall(Integer connectionId, Integer blockId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for blockGet
    `ApiResponse<Block>` | `blockGetWithHttpInfo(Integer connectionId, Integer blockId)` Gets the block matching a specific block ID.
    `BlockList` | `blocksGet(Integer connectionID, Integer top, Integer skip)` Lists the blocks for a connected blockchain network.
    `com.squareup.okhttp.Call` | `blocksGetAsync(Integer connectionID, Integer top, Integer skip, ApiCallback<BlockList> callback)` (asynchronously) Lists the blocks for a connected blockchain network.
    `com.squareup.okhttp.Call` | `blocksGetCall(Integer connectionID, Integer top, Integer skip, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for blocksGet
    `ApiResponse<BlockList>` | `blocksGetWithHttpInfo(Integer connectionID, Integer top, Integer skip)` Lists the blocks for a connected blockchain network.
    `Connection` | `connectionGet(Integer connectionID)` Gets the connected blockchain network matching a specific chain instance ID.
    `com.squareup.okhttp.Call` | `connectionGetAsync(Integer connectionID, ApiCallback<Connection> callback)` (asynchronously) Gets the connected blockchain network matching a specific chain instance ID.
    `com.squareup.okhttp.Call` | `connectionGetCall(Integer connectionID, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for connectionGet
    `ApiResponse<Connection>` | `connectionGetWithHttpInfo(Integer connectionID)` Gets the connected blockchain network matching a specific chain instance ID.
    `ConnectionList` | `connectionsGet(Integer top, Integer skip)` Lists the connected blockchain networks.
    `com.squareup.okhttp.Call` | `connectionsGetAsync(Integer top, Integer skip, ApiCallback<ConnectionList> callback)` (asynchronously) Lists the connected blockchain networks.
    `com.squareup.okhttp.Call` | `connectionsGetCall(Integer top, Integer skip, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for connectionsGet
    `ApiResponse<ConnectionList>` | `connectionsGetWithHttpInfo(Integer top, Integer skip)` Lists the connected blockchain networks.
    `ApiClient` | `getApiClient()`
    `void` | `setApiClient(ApiClient apiClient)`
    `Transaction` | `transactionGet(Integer connectionId, Integer transactionId)` Gets the transaction matching a specific transaction ID.
    `com.squareup.okhttp.Call` | `transactionGetAsync(Integer connectionId, Integer transactionId, ApiCallback<Transaction> callback)` (asynchronously) Gets the transaction matching a specific transaction ID.
    `com.squareup.okhttp.Call` | `transactionGetCall(Integer connectionId, Integer transactionId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for transactionGet
    `ApiResponse<Transaction>` | `transactionGetWithHttpInfo(Integer connectionId, Integer transactionId)` Gets the transaction matching a specific transaction ID.
    `List<TransactionList>` | `transactionsGet(Integer connectionId, Integer top, Integer skip)` Lists the transactions for a connected blockchain network.
    `com.squareup.okhttp.Call` | `transactionsGetAsync(Integer connectionId, Integer top, Integer skip, ApiCallback<List<TransactionList>> callback)` (asynchronously) Lists the transactions for a connected blockchain network.
    `com.squareup.okhttp.Call` | `transactionsGetCall(Integer connectionId, Integer top, Integer skip, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for transactionsGet
    `ApiResponse<List<TransactionList>>` | `transactionsGetWithHttpInfo(Integer connectionId, Integer top, Integer skip)` Lists the transactions for a connected blockchain network.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionsApi

          public ConnectionsApi()

    - #### ConnectionsApi

          public ConnectionsApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### blockGetCall

          public com.squareup.okhttp.Call blockGetCall(Integer connectionId,
                                                       Integer blockId,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for blockGet
      Parameters:
        `connectionId` - The connectionId of the block (required)
        `blockId` - The id of the block (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### blockGet

          public Block blockGet(Integer connectionId,
                                Integer blockId)
                         throws ApiException

      Gets the block matching a specific block ID.
      Parameters:
        `connectionId` - The connectionId of the block (required)
        `blockId` - The id of the block (required)
      Returns:
        Block
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### blockGetWithHttpInfo

          public ApiResponse<Block> blockGetWithHttpInfo(Integer connectionId,
                                                         Integer blockId)
                                                  throws ApiException

      Gets the block matching a specific block ID.
      Parameters:
        `connectionId` - The connectionId of the block (required)
        `blockId` - The id of the block (required)
      Returns:
        ApiResponse<Block>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### blockGetAsync

          public com.squareup.okhttp.Call blockGetAsync(Integer connectionId,
                                                        Integer blockId,
                                                        ApiCallback<Block> callback)
                                                 throws ApiException

      (asynchronously) Gets the block matching a specific block ID.
      Parameters:
        `connectionId` - The connectionId of the block (required)
        `blockId` - The id of the block (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### blocksGetCall

          public com.squareup.okhttp.Call blocksGetCall(Integer connectionID,
                                                        Integer top,
                                                        Integer skip,
                                                        ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for blocksGet
      Parameters:
        `connectionID` - The id of the connection (required)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### blocksGet

          public BlockList blocksGet(Integer connectionID,
                                     Integer top,
                                     Integer skip)
                              throws ApiException

      Lists the blocks for a connected blockchain network.
      Parameters:
        `connectionID` - The id of the connection (required)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
      Returns:
        BlockList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### blocksGetWithHttpInfo

          public ApiResponse<BlockList> blocksGetWithHttpInfo(Integer connectionID,
                                                              Integer top,
                                                              Integer skip)
                                                       throws ApiException

      Lists the blocks for a connected blockchain network.
      Parameters:
        `connectionID` - The id of the connection (required)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
      Returns:
        ApiResponse<BlockList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### blocksGetAsync

          public com.squareup.okhttp.Call blocksGetAsync(Integer connectionID,
                                                         Integer top,
                                                         Integer skip,
                                                         ApiCallback<BlockList> callback)
                                                  throws ApiException

      (asynchronously) Lists the blocks for a connected blockchain network.
      Parameters:
        `connectionID` - The id of the connection (required)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### connectionGetCall

          public com.squareup.okhttp.Call connectionGetCall(Integer connectionID,
                                                            ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for connectionGet
      Parameters:
        `connectionID` - The id of the connection (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### connectionGet

          public Connection connectionGet(Integer connectionID)
                                   throws ApiException

      Gets the connected blockchain network matching a specific chain instance ID.
      Parameters:
        `connectionID` - The id of the connection (required)
      Returns:
        Connection
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### connectionGetWithHttpInfo

          public ApiResponse<Connection> connectionGetWithHttpInfo(Integer connectionID)
                                                            throws ApiException

      Gets the connected blockchain network matching a specific chain instance ID.
      Parameters:
        `connectionID` - The id of the connection (required)
      Returns:
        ApiResponse<Connection>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### connectionGetAsync

          public com.squareup.okhttp.Call connectionGetAsync(Integer connectionID,
                                                             ApiCallback<Connection> callback)
                                                      throws ApiException

      (asynchronously) Gets the connected blockchain network matching a specific chain instance ID.
      Parameters:
        `connectionID` - The id of the connection (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### connectionsGetCall

          public com.squareup.okhttp.Call connectionsGetCall(Integer top,
                                                             Integer skip,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for connectionsGet
      Parameters:
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### connectionsGet

          public ConnectionList connectionsGet(Integer top,
                                               Integer skip)
                                        throws ApiException

      Lists the connected blockchain networks.
      Parameters:
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
      Returns:
        ConnectionList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### connectionsGetWithHttpInfo

          public ApiResponse<ConnectionList> connectionsGetWithHttpInfo(Integer top,
                                                                        Integer skip)
                                                                 throws ApiException

      Lists the connected blockchain networks.
      Parameters:
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
      Returns:
        ApiResponse<ConnectionList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### connectionsGetAsync

          public com.squareup.okhttp.Call connectionsGetAsync(Integer top,
                                                              Integer skip,
                                                              ApiCallback<ConnectionList> callback)
                                                       throws ApiException

      (asynchronously) Lists the connected blockchain networks.
      Parameters:
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### transactionGetCall

          public com.squareup.okhttp.Call transactionGetCall(Integer connectionId,
                                                             Integer transactionId,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for transactionGet
      Parameters:
        `connectionId` - The connectionId of the transaction (required)
        `transactionId` - The id of the transaction (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### transactionGet

          public Transaction transactionGet(Integer connectionId,
                                            Integer transactionId)
                                     throws ApiException

      Gets the transaction matching a specific transaction ID.
      Parameters:
        `connectionId` - The connectionId of the transaction (required)
        `transactionId` - The id of the transaction (required)
      Returns:
        Transaction
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### transactionGetWithHttpInfo

          public ApiResponse<Transaction> transactionGetWithHttpInfo(Integer connectionId,
                                                                     Integer transactionId)
                                                              throws ApiException

      Gets the transaction matching a specific transaction ID.
      Parameters:
        `connectionId` - The connectionId of the transaction (required)
        `transactionId` - The id of the transaction (required)
      Returns:
        ApiResponse<Transaction>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### transactionGetAsync

          public com.squareup.okhttp.Call transactionGetAsync(Integer connectionId,
                                                              Integer transactionId,
                                                              ApiCallback<Transaction> callback)
                                                       throws ApiException

      (asynchronously) Gets the transaction matching a specific transaction ID.
      Parameters:
        `connectionId` - The connectionId of the transaction (required)
        `transactionId` - The id of the transaction (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### transactionsGetCall

          public com.squareup.okhttp.Call transactionsGetCall(Integer connectionId,
                                                              Integer top,
                                                              Integer skip,
                                                              ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for transactionsGet
      Parameters:
        `connectionId` - The id of the connection (required)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### transactionsGet

          public List<TransactionList> transactionsGet(Integer connectionId,
                                                       Integer top,
                                                       Integer skip)
                                                throws ApiException

      Lists the transactions for a connected blockchain network.
      Parameters:
        `connectionId` - The id of the connection (required)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
      Returns:
        List<TransactionList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### transactionsGetWithHttpInfo

          public ApiResponse<List<TransactionList>> transactionsGetWithHttpInfo(Integer connectionId,
                                                                                Integer top,
                                                                                Integer skip)
                                                                         throws ApiException

      Lists the transactions for a connected blockchain network.
      Parameters:
        `connectionId` - The id of the connection (required)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
      Returns:
        ApiResponse<List<TransactionList>>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### transactionsGetAsync

          public com.squareup.okhttp.Call transactionsGetAsync(Integer connectionId,
                                                               Integer top,
                                                               Integer skip,
                                                               ApiCallback<List<TransactionList>> callback)
                                                        throws ApiException

      (asynchronously) Lists the transactions for a connected blockchain network.
      Parameters:
        `connectionId` - The id of the connection (required)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2018. All rights reserved.